Subject: Re: [PATCH] net: marvell: Fix refcounting bugs in prestera_port_sfp_bind()

From: Jakub Kicinski <[email-masked]>
Date: Tue, 20 Sep 2022 17:45:29 -0700

On Thu, 15 Sep 2022 12:06:55 +0800 Liang He wrote:
> In prestera_port_sfp_bind(), there are two refcounting bugs:
> (1) we should call of_node_get() before of_find_node_by_name() as
> it will automaitcally decrease the refcount of 'from' argument;
> (2) we should call of_node_put() for the break of the iteration
> for_each_child_of_node() as it will automatically increase and
> decrease the 'child'.
> 
> Fixes: 52323ef75414 ("net: marvell: prestera: add phylink support")
> Signed-off-by: Liang He <[email-masked]>

Please repost and CC all the authors of the patch under Fixes.